package org.antlr.tool;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.antlr.tool.Message;
import org.stringtemplate.v4.ST;

public class ToolMessage extends Message {
  public ToolMessage(int msgID) {
    super(msgID, null, null);
  }
  
  public ToolMessage(int msgID, Object arg) {
    super(msgID, arg, null);
  }
  
  public ToolMessage(int msgID, Throwable e) {
    super(msgID);
    this.e = e;
  }
  
  public ToolMessage(int msgID, Object arg, Object arg2) {
    super(msgID, arg, arg2);
  }
  
  public ToolMessage(int msgID, Object arg, Throwable e) {
    super(msgID, arg, null);
    this.e = e;
  }
  
  public String toString() {
    ST st = getMessageTemplate();
    if (this.arg != null)
      st.add("arg", this.arg); 
    if (this.arg2 != null)
      st.add("arg2", this.arg2); 
    if (this.e != null) {
      st.add("exception", this.e);
      st.add("stackTrace", this.e.getStackTrace());
    } 
    return toString(st);
  }
}
